Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.wsdl11.builder
Class AbstractWSDL

    java.lang.Object
      org.codehaus.xfire.wsdl11.builder.AbstractWSDL

All Implemented Interfaces:
  WSDLWriter

Direct Known Subclasses:
  WSDLBuilder

    public abstract class AbstractWSDL

extends java.lang.Object
implements WSDLWriter

AbstractWSDL

Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `complexQ`
`static java.lang.String` | `elementQ`
`static java.lang.String` | `schemaQ`
`static java.lang.String` | `sequenceQ`

Fields inherited from interface org.codehaus.xfire.wsdl.WSDLWriter
`WSDL11_NS, WSDL11_SOAP_NS`

Constructor Summary
`AbstractWSDL(Service service)`

Method Summary
`void` | `addDependency(SchemaType type)`
`void` | `addNamespace(java.lang.String prefix, java.lang.String uri)`
`void` | `addNamespaceImport(java.lang.String uri, java.lang.String imported)` Adds an import to another namespace.
`org.codehaus.yom.Element` | `createSchemaType(java.lang.String namespace)` Create a shcema type element and store it to be written later on.
`javax.wsdl.Definition` | `getDefinition()`
`org.codehaus.yom.Document` | `getDocument()`
`WSDLBuilderInfo` | `getInfo()`
`java.lang.String` | `getNamespacePrefix(java.lang.String uri)`
`protected org.codehaus.yom.Element` | `getSchemaTypes()`
`Service` | `getService()`
`protected boolean` | `hasDependency(SchemaType type)`
`boolean` | `hasImport(org.codehaus.yom.Element schema, java.lang.String ns)`
`protected boolean` | `hasSchema(java.lang.String namespace)`
`void` | `setDefinition(javax.wsdl.Definition definition)`
`protected void` | `setSchema(java.lang.String namespace, org.codehaus.yom.Element schema)`
`protected void` | `setSchemaTypes(org.codehaus.yom.Element schemaTypes)`
`void` | `setService(Service service)`
`void` | `write(java.io.OutputStream out)` Write the WSDL to an OutputStream.
`protected void` | `writeComplexTypes()`
`protected void` | `writeDocument()`
`protected void` | `writeImports()` Write xs:import elements for each schema.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schemaQ

    public static final java.lang.String schemaQ

See Also:
  Constant Field Values

### elementQ

    public static final java.lang.String elementQ

See Also:
  Constant Field Values

### complexQ

    public static final java.lang.String complexQ

See Also:
  Constant Field Values

### sequenceQ

    public static final java.lang.String sequenceQ

See Also:
  Constant Field Values

Constructor Detail

### AbstractWSDL

    public AbstractWSDL(Service service)
                 throws javax.wsdl.WSDLException

Throws:
  `javax.wsdl.WSDLException`

Method Detail

### writeDocument

    protected void writeDocument()
                          throws javax.wsdl.WSDLException

  Throws:
    `javax.wsdl.WSDLException`

### writeImports

    protected void writeImports()

  Write xs:import elements for each schema.

### hasImport

    public boolean hasImport(org.codehaus.yom.Element schema,
                             java.lang.String ns)

### writeComplexTypes

    protected void writeComplexTypes()
                              throws javax.wsdl.WSDLException

  Throws:
    `javax.wsdl.WSDLException`

### addDependency

    public void addDependency(SchemaType type)

### hasDependency

    protected boolean hasDependency(SchemaType type)

### addNamespaceImport

    public void addNamespaceImport(java.lang.String uri,
                                   java.lang.String imported)

  Adds an import to another namespace.

  Parameters:
    `uri` - The namespace to import into.
    `imported` - The namespace to import.

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Description copied from interface: `WSDLWriter`
  Write the WSDL to an OutputStream.

  Specified by:
    `write` in interface `WSDLWriter`
  Parameters:
    `out` - The OutputStream.
  Throws:
    `java.io.IOException`
  See Also:
    `WSDLWriter.write(java.io.OutputStream)`

### addNamespace

    public void addNamespace(java.lang.String prefix,
                             java.lang.String uri)

### getNamespacePrefix

    public java.lang.String getNamespacePrefix(java.lang.String uri)

### getInfo

    public WSDLBuilderInfo getInfo()

### getDocument

    public org.codehaus.yom.Document getDocument()

  See Also:
    `org.codehaus.xfire.wsdl.WSDLWriter#getDocument()`

### getDefinition

    public javax.wsdl.Definition getDefinition()

### setDefinition

    public void setDefinition(javax.wsdl.Definition definition)

### getService

    public Service getService()

### setService

    public void setService(Service service)

### createSchemaType

    public org.codehaus.yom.Element createSchemaType(java.lang.String namespace)

  Create a shcema type element and store it to be written later on.

  Parameters:
    `namespace` - The namespace to create the type in.
  Returns:

### hasSchema

    protected boolean hasSchema(java.lang.String namespace)

### setSchema

    protected void setSchema(java.lang.String namespace,
                             org.codehaus.yom.Element schema)

### getSchemaTypes

    protected org.codehaus.yom.Element getSchemaTypes()

### setSchemaTypes

    protected void setSchemaTypes(org.codehaus.yom.Element schemaTypes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.